package com.example.switchyard.soap_consumer_example;

import org.switchyard.component.bean.Service;

@Service(SimpleService.class)
public class SimpleServiceBean implements SimpleService {

	@Override
	public String reverse(String input) {
		
		System.out.println("bean service got called: " + input);
		
		// eventually call the method on the injected handle to the external soap service (ReversalService)
		// but for now it's stubbed off
		return new StringBuilder(input).reverse().toString(); 
	}

}
